%AD_population routine computes Qc assuming anomalous diffraction for 
%different values of the real part of the index of refraction.
clear all

%real part of refractive index of sphere:
n=1.15;

%imaginary part of refractive index of sphere
np=0.001;

%minimal size of particle (microns)
D_min=2;

%maximal size of particle (microns)
D_max=30;

%Differential Junge distribution slope
xsi=3.5;

%Amplitude of the Differential power-law distribution at D_min (#/micron^3/micron)
Amp=1;

%wavelength in medium, in same units as size:
lambda=0.75*0.66;
D0=2;

integral_size_distribution=quadl('integrand_AD',D_min,D_max,[],[],D0,lambda,n,np,xsi);  
c_measured=3;
N_D0=c_measured/integral_size_distribution*10^6 % particle concentration in # ml^-1 um^-1
