%callbh calculates the size parameter (x) and relative refractive index (refrel)
%for a given sphere refractive index, medium refractive index, radius, and free
%space wavelength. It then calls bhmie.m, the subroutine that computes amplitude
%scattering matrix ellements and efficiencies.
%This routine was written by E. Boss 

clear all

refmed=1;   %input('(real) refractive index of surrounding medium  ');
refre=1.15; %input('(real) refractive index of sphere  ');
refim=0.001; %input('(imaginary) refractive index of sphere  ');

refrel=(refre+sqrt(-1)*refim)/refmed
%wavel=.75*.65;%input('wavelength [same units as the radius] in medium (i.e. .75*.65 for 650nm)  ');

% Dmin=0.2;%minimal size in population
% Dmax=100;%maximal size in population
% Nint=35;%number of size classes

D=[0.1,1,10];
wavel=[400:40:700]/1000;
nang=91;%input('number of angles between 0 and 90 deg (e.g. 91 for output every degree). needs ot be an odd integer.  ');
%[mm nn]=size(x)
nang=91;
dang=pi/2/(nang-1);


%loop over all sizes:
for k=1:length(D)
    for m=1:length(wavel)
        x=pi*D(k)*refmed/wavel(m);
       [S1,S2,Qscat(k,m),Qext(k,m),Qback]=bhmie(x,refrel,nang);
    end
end
%save data into output file used later for population
save seds_data_spectra
c_ext=Qext*pi.*(D'.^2*ones(1,8))/4;

c_max=max(c_ext')
plot(wavel,Qext*pi.*(D'.^2*ones(1,8))/4./(c_max'*ones(1,8)),'-')
   xlabel('wl [nm]')
   ylabel('normalized c_p')
  
